Subject: Re: bug#73493: [PATCH] Fix -single_module issues on recent macOS

From: Ileana Dumitrescu <[email-masked]>
Date: Tue, 22 Oct 2024 20:29:26 +0300

On 26/09/2024 08:53, Joshua Root wrote:
> Originally submitted at <https://savannah.gnu.org/support/?110937>.
> 
> The check for whether the linker supports the -single_module flag 
> assumes that anything printed to stderr containing the string 
> "single_module" means it is unsupported. Xcode 15 does print such a 
> message, though it only indicates that the flag is deprecated. Lack of 
> single module support triggers some workarounds that aren't needed and 
> don't work very well on modern systems.
> 
> This flag has been unnecessary for many macOS versions, so teaching 
> libtool that it is not needed in this case is probably preferable to 
> just fixing the check.
> 

Closing, patch has been merged into master.

https://git.savannah.gnu.org/cgit/libtool.git/commit/?id=82f7f52123e4e7e50721049f7fa6f9b870e09c9d

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354